package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SENSITIVEGROUP"
)
public class TCoreSensitivegroup extends TBaseEntity {
   private String tname;

   public TCoreSensitivegroup() {
   }

   public TCoreSensitivegroup(String tname) {
      this.tname = tname;
   }

   public String getTname() {
      return this.tname;
   }

   public void setTname(String tname) {
      this.tname = tname;
   }

   public String toString() {
      return "TCoreSensitivegroup [tname=" + this.tname + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.tname == null ? 0 : this.tname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSensitivegroup other = (TCoreSensitivegroup)obj;
         if (this.tname == null) {
            if (other.tname != null) {
               return false;
            }
         } else if (!this.tname.equals(other.tname)) {
            return false;
         }

         return true;
      }
   }
}
